var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Input } from '@angular/core';
import { BootstrapDirective } from './bootstrap.directive';
var BootstrapTypeDirective = (function (_super) {
    __extends(BootstrapTypeDirective, _super);
    function BootstrapTypeDirective(r, er, ic, at, defaultType) {
        var _this = this;
        if (defaultType) {
            ic.push(ic[0] + "-" + defaultType);
        }
        _this = _super.call(this, r, er, ic, at) || this;
        _this._baseName = ic[0];
        _this._classType = defaultType ? defaultType : null;
        return _this;
    }
    Object.defineProperty(BootstrapTypeDirective.prototype, "classType", {
        set: function (value) {
            if (this._classType !== null) {
                this.removeClass(this._baseName + "-" + this._classType);
            }
            this._classType = value;
            if (this._classType !== null) {
                this.addClass(this._baseName + "-" + this._classType);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BootstrapTypeDirective.prototype, "primary", {
        set: function (value) {
            value || value === '' ? this.classType = 'primary' : this.classType = null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BootstrapTypeDirective.prototype, "success", {
        set: function (value) {
            value || value === '' ? this.classType = 'success' : this.classType = null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BootstrapTypeDirective.prototype, "danger", {
        set: function (value) {
            value || value === '' ? this.classType = 'danger' : this.classType = null;
        },
        enumerable: true,
        configurable: true
    });
    return BootstrapTypeDirective;
}(BootstrapDirective));
export { BootstrapTypeDirective };
BootstrapTypeDirective.propDecorators = {
    'classType': [{ type: Input, args: ['class-type',] },],
    'primary': [{ type: Input },],
    'success': [{ type: Input },],
    'danger': [{ type: Input },],
};
//# sourceMappingURL=bootstrap-type.directive.js.map